Lucene87Codec.Mode (Lucene 10.5.0 backward-codecs API)
Description: declaration: package: org.apache.lucene.backward_codecs.lucene87, class: Lucene87Codec, enum: Mode

Package org.apache.lucene.backward_codecs.lucene87

# Enum Class Lucene87Codec.Mode

java.lang.Object
java.lang.Enum<Lucene87Codec.Mode>
org.apache.lucene.backward_codecs.lucene87.Lucene87Codec.Mode

All Implemented Interfaces:
  `Serializable`, `Comparable<Lucene87Codec.Mode>`, `Constable`

Enclosing class:
  `Lucene87Codec`

public static enum Lucene87Codec.Mode extends Enum<Lucene87Codec.Mode>
Configuration option for the codec.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BEST_COMPRESSION`
  Trade retrieval speed for compression ratio.
  `BEST_SPEED`
  Trade compression ratio for retrieval speed.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final Lucene80DocValuesFormat.Mode`
  `dvMode`
  compression mode for doc value fields
  `protected final Lucene87StoredFieldsFormat.Mode`
  `storedMode`
  compression mode for stored fields

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Lucene87Codec.Mode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Lucene87Codec.Mode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BEST_SPEED

    public static final Lucene87Codec.Mode BEST_SPEED
    Trade compression ratio for retrieval speed.

  - ### BEST_COMPRESSION

    public static final Lucene87Codec.Mode BEST_COMPRESSION
    Trade retrieval speed for compression ratio.

- ## Field Details

  - ### storedMode

    protected final Lucene87StoredFieldsFormat.Mode storedMode
    compression mode for stored fields

  - ### dvMode

    protected final Lucene80DocValuesFormat.Mode dvMode
    compression mode for doc value fields

- ## Method Details

  - ### values

    public static Lucene87Codec.Mode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Lucene87Codec.Mode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null